<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Active Sessions">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A command shell session runs a collection of scripts and provides a shell that you can use to run arbitrary commands against the host. &#xD;&#xA;" /><title>Command Shell Session</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/command-shell-session.html">Open topic with navigation</a>
        </p>
        <h2>Command Shell Session</h2>
        <p>A command shell session runs a collection of scripts and provides a shell that you can use to run arbitrary commands against the host. 
</p>
        <p><span class="VariablesProductName">Metasploit Pro</span> opens a command shell session when the following events occur: </p>
        <ul>
            <li value="1">
Successful exploit on *nix
</li>
            <li value="2">SSH bruteforce on *nix
</li>
            <li value="3">Telnet bruteforce on *nix
</li>
            <li value="4">Tomcat bruteforce on *nix</li>
        </ul>
    </body>
</html>